function f_data = exp_smooth(data, alpha)

    % How many data records do we have to process?
    num_data = length(data);
    % Initialize the output. Matlab does copy-on-assignment.
    f_data = data;
    % Loop over all data records that we can process, e.g.
    % from the second one to the end.
    for i=2:num_data
        f_data(i) = alpha*f_data(i-1) + (1-alpha)*data(i);
    end
end