function coords = gps_generator()

    r = 1000;
    s = 0;
    k = 100;
    w = 40;
    
    theta = 0:0.01:2*pi;
    coords = zeros(2, length(theta));
    for i=1:length(theta)
        x = (r+k*sin(w*theta(i)))*cos(theta(i));
        y = (r+k*sin(w*theta(i)))*sin(theta(i));
        x = x + randn(1)*s;
        y = y + randn(1)*s;
        coords(:,i) = [ x; y ];
    end
end