function coords = gps_generator0()

    % Radius of the circle
    r = 1000;
    % 2*pi/100 = cca 628 points on the circle 
    theta = 0:0.1:2*pi;
    % And the same number of corrdinates
    coords = zeros(length(theta), 2);
    % Generate all coordinates 
    for i=1:length(theta)
        % Point on a circle
        x = r*cos(theta(i));
        y = r*sin(theta(i));
        % Store the position
        coords(i,:) = [ x, y ];
        % or: coords(end+1,:) = [x, y];
    end
end